;
;   PNTCHK version 1.00.rc1 (release candidate #1) configuration file
;
;   Translation (c) 2000 by Pavel I.Osipov. Send any corrections/comments
;   to forsite@f770.n5020.z2.fidonet.org or forsite@ibch.ru please
;
;   Restrictions: 16 characters per each variable and 80 characters
;                 per its value
;
; ----------------------------------------------------------------------------
;
;   The address of your system. Used as FromAddress in the report messages.
;   Host-part of this address is also used in the working with nodelists
;
ADDRESS 2:5020/381.1
;
;   The address and the name (default 'Coordinator) of coordinator. All the
;   error reports will be copied to this address.
;   If commented, no error report copy will be sent
;
;COORDINATOR 2:5020/381 Alex GolosOFF
;
;   FromName in the report messages. Default value is program name.
;   All macros are supported (see bellow)
;
; FROM Alex GolosOFF
; FROM @owner
FROM @nameprog v@version
;
;   To: field of the report messages. Default value is 'SysOp'
;
TO @FirstSysOpName @LastSysOpName
;
;   Subject: field of the report messages. Default value is equal to
;   nameprog+' report'.
;   Macros are supported
;
SUBJECT segment: @segname, @seglength bytes, dated @segdate
; SUBJECT It's a respond from the pointsegment checker
;
;   Tearline of the report messages, empty as default
;
TEARLINE
; TEARLINE @newyear
; TEARLINE @nameprog, R: @owner (@serial)
;
;   The origin of the report messages. If commented out, no origin will
;   be added
;
; ORIGIN The best checker was here!
;
;   Report messages attributes:
;
;    PVT - privat
;    CRA - crash
;    RCV - received
;    SNT - sent
;    ATT - attach
;    TRS - transit
;    ORP - orphan
;    K/S - kill/sent
;    LOC - local
;    HLD - hold
;    FRQ - freq
;    RRQ - return receipt request
;    RRC - return receipt
;    ARQ - audit request
;    URQ - file update request
;
;   As default PVT LOC
;
ATTRIBUTES PVT LOC
;
;   Path to the netmail area, current directory as default
;
NETMAIL C:\MAIL\NETMAIL\
;
;   Path where correct segments will be placed
;
MASTER C:\PNTLIST\GOOD\
;
;   Path where incorrect segments will be placed (see KILLBAD variable)
;
BADFILES C:\PNTLIST\BAD\
;
;   If BACKUPDIR is defined, the segment before being processed, will be
;   copied to this directory (for reasons of emergency); if commented out,
;   no copies will be made
;
BACKUPDIR C:\PNTLIST\BACKUP\
;
;   Directory for temporary files, current as default
;
TEMPDIR C:\TEMP\
;
;   Path to the template files
;
TEMPLATEPATH .\TEMPLATE
;
;   This variable defines wheter incorrect segments will be killed or not
;
;   Available values:
;
;   ALWAYS (YES) - kill incorrect segments after receiveing of them,
;      after receiveing of a correct segment delete old incorrect segments
;      from this node in BADFILES
;   IFGOOD - after receiveing of a correct segment delete old incorrect
;      segments from this node in BADFILES
;   NEVER (NO) - move incorrect segments into BADFILES, never delete them
;
KILLBAD IFGOOD
;
;   File template for reports
;
NORMALTEMPLATE normal.tpl
;
;   Template header for error reports
;
ERRORTEMPLATE error.tpl
;
;   In any case send only one report: with NORMALTEMPLATE if the segment
;   is correct and with ERRORTEMPLATE in contrary case
;
ONLYONEREPORT YES
;
;   Logfile name
;
LOGFILE pntchk.log
;
;   Logmessage tags not to put into logfile
;
LOGLEVEL .
;
;   If 'YES' then the logfile will be closed after every writing (just the
;   same like it is done in T-Mail when LogBuffer=0). Is useful in unstable
;   functioning of the system in order to prevent loosing log information.
;   Disadvantage of enabling this function is in a little bit slower work
;   with the logfile and bigger number of hard-disk operations.
;
SHARINGMODE NO
;
; --------------- Additional variables for using in templates ----------------
;
;   User definable macros (up to 10) used in templates.
;   Synopsys: ASSIGN @<name> [@]<value>
;   "Value" may consist of some words.
;   Beginning with char '@' value defines the filename, the content of which
;   will be inserted into the report instead of <name>.
;
; ASSIGN @HELLO Hello everybody!
; ASSIGN @NEWYEAR Happy new year! ; :-)
ASSIGN @NOTE @NOTE.TPL
ASSIGN @FOOTER @FOOTER.TPL
; ASSIGN @REPORT @report.txt ; for EXEC*
;
; ----------------- Section of nodelist processing settings ------------------
;
;   Nodelist file to be scanned
;
;   Wildcard in the extension: * - any extension
;                              999 - only number digits ;)
;                    
;   When more than one nodelist meets wildcard requirements, nodelist
;   with the last date of creation will be taken
;
;   ! Take care of not placing a compressed nodelist file (eg. nodelist.zip)
;   into the NODELIST directory, if you are using .* wildcard.
;
; NODELIST c:\mail\brake\nodelist\nodelist.999
; NODELIST z2-list.192
; NODELIST net5020.*
NODELIST net5020.ndl
;
;   Index file of the nodelist, <Nameprog>.IDX as default
;
;   Warning! The name of the index MUSTN'T be the same to nodelist name.
;
; NDLINDEX PNTCHECK.NDL
;
;   Segments of nodes with which status will be included in the pointlist
;
ABSENTPOINTS NO
NORMALPOINTS YES
DOWNPOINTS NO
HOLDPOINTS NO
HUBPOINTS YES
PVTPOINTS YES
;
;   File template for errors ragarding to the nodelist.
;
NDLERRTPL ndlerror.tpl
;
; ------------ Formats (wildcards) of the name of the segment ----------------
;
;   Mask of the name of the segment to be processed by the program (up to 10)
;
;   <any char> - the same as '?' in DOS-wildcard, i.e. any char
;                (PNTCHK doesn't analyze unimportant symbols; instead of
;                <any char> you can put for instance 'A' or '@', as well as
;                '%' - result will be the same.
;                You need to take care only in case of RENAMESEGMENT=YES:
;                the name of the first SEGMENTFORMAT variable mustn't
;                contain inadmissible chars, otherwise OS will fall when
;                renaming the segment)
;
;   The node number will be got from combination of digits:
;    ~D - a decimal digit (0..9)
;    ~H - a hex digit (0..F)
;
;   Calculate the number:
;
;    1 1
;    1 0 9 8 7 6 5 4 3 2 1
;    X X X X X X X X X X X
;
;    X1 + 10*X2 + 100*X3 + 1000*X4 + ... + 10000000*X8
;
;    Example. The segment name PAV33A78.TXT under the SEGMENTFORMAT
;    +++~H~H~H~H~H.+++ will be calculated as 8*1 + 7*10 + 10*100 + 3*1000 +
;    + 3*10000 = 34078, under SEGMENTFORMAT +++~D~D~D~D~D.+++ you will get
;    an error.
;
;    Warning! The length of the segment name and the length of SEGMENTFORMAT
;    must be equal (combinations such as '~D' and '~H' are deemed as one
;    char), otherwise you will get an error
;
SEGMENTFORMAT SEG~D~D~D~D~D.PNT
SEGMENTFORMAT MOPOINTS.~H~D~D ; ABSOLUTELY the same as ????????.~H~D~D 
; SEGMENTFORMAT ~D~D~D~D~DPNT.TXT
;
;   Should PNTCHK rename the segment (if YES, rename to the first
;   SEGMENTFORMAT)
;
RENAMESEGMENT NO
;
; ------------------------- Some useful features ---------------------------
;
;   Chars admissible in point strings ([!-] as default)
;
; ADMISSIBLECHARS [!-] [-]   [] [-]
;
;   File template for errors when inadmissible chars have been found
;
INADMCHARERRTPL inacherr.tpl
;
;   File template for error in case two points have an equal address
;
EQNUMERRTPL equalnum.tpl
;
;   File template for errors in the point string 'Boss,*'
;
NMBRERRTPL nmbrerr.tpl
;
; ------------------------- Age of segment check -----------------------------
;
;   Admissible age of the segment (in days), excess of which causes sending
;   of warnings by PNTCHK (text is read from the file defined by AGEWRNTPL);
;   as default no check is being made
;
SEGWRNAGE 365
;
;   The same as SEGWRNAGE, but the segment will be deemed bad and
;   not processed
;
; SEGERRAGE 730
;
;   File templates for SEGWRNAGE and SEGERRAGE
;
AGEERRTPL Ageerr.tpl
AGEWRNTPL Agewrn.tpl
;
; --------------------- Empty lines in segment check ------------------------
;
;   This variable determines wheter PNTCHK should remove empty lines from
;   the segment or not. In case of YES, an empty line will be removed, the
;   sender will be warned, but the segment will be processed.
;   In case of NO, this situation will be considered as an error and
;   the segment will not be processed.
;
;   ! If REMOVEEMPTYLINES=NO, edit EMPTYLINETPL accordingly
;
REMOVEEMPTYLINES YES
;
;   File template for REMOVEEMPTYLINES
;
EMPTYLINETPL emplnwrn.tpl
; EMPTYLINETPL emplnerr.tpl
;
; ------------  p p⪨ p  ᥣ -----------
;
;   Maximum number of comment lines in the segment (5 as default)
;
COMMENTCOUNT 5
;
;   This variable determines whether the comment lines are admitable
;   between ordinary point segment strings or not
;   (if YES, edit CMNTERRTPL accordingly)
;
BETWEENCOMMENTS NO
;
;   File template for errors with comment lines
;
CMNTERRTPL cmnterr.tpl
; CMNTERRTPL cmnterr2.tpl
;
; ------------ Settings for processing of point segment strings ------------
;
;   General file template for errors in point segment strings
;
STRERRTPL strerror.tpl
;
;   File template for errors in point line prefix (by now only prefix "Point"
;   is supported, anything else is considered as an error)
;
PREFERRTPL preferr.tpl
;
;   File template for incorrect point numbers ( <>[1..32767] )
;
PONUMERRTPL numpoerr.tpl
;
;   Admissible values of the "modem baud" field (300, 1200, 2400, 9600 as
;   default)
;
BAUD 300 1200 2400 9600
;
;   File template for errors in "Baud rate" field
;
BAUDERRTPL bauderr.tpl
; BAUDERRTPL baudwrn.tpl
; 
;   See description of CHANGEPHONE
;
CHANGEBAUD NO
;
;   Admissible values (up to 20) of "Phone number" field of a pointsegment
;   string. "-Unpublished-" is default value.
;
PHONENUMBER -Unpublished-
PHONENUMBER 7-095-???-????
;
;   File template for errors in "Phone number" field
;
PHONEERRTPL phoneerr.tpl
; PHONEERRTPL phonewrn.tpl
;
;   This variable determines the reaction of the PNTCHK to incorrect
;   values in "Phone number" field. If CHANGEPHONE is set to YES, incorrect
;   value will be replaced by the value of the first of the PHONENUMBER
;   variables.
;   That case will not be seemed as an error, so only a warning will be sent
;   to SysOp (do not forget to change the value of the PHONEERRORTPL
;   variable to "phonewrn.tpl" or anything else where the content of the
;   further warning message is stored);
;   if CHANGEPHONE is set to NO, an error will be sent to SysOp and the
;   segment will not be processed (PHONEERRORTPL needs to be changed 
;   to "phoneerr.tpl")
;
CHANGEPHONE NO
;
;   PNTCHK can also check the content of "Location" field.
;   Up to 20 variables
;
LOCATION * !@
; LOCATION Moscow
;
;   File template for errors in "location" field.
;
LOCATERRTPL locaterr.tpl
; LOCATERRTPL locatwrn.tpl
;
;   See description of CHANGEPHONE
;
CHANGELOCATION NO
;
;   Up to 20 variables, defining the value of "system_name" field.
;
SYSTEM * !@
; SYSTEM * ![Nn][Oo]_[Nn][Aa][Mm][Ee] !*[Ff][Uu][Cc][Kk]* !*FUCK*
;
;   CHANGESYSTEM determines the behavior of PNTCHK when it finds
;   incorrect content of SYSTEM field. Three possible values:
;     NO   - treat the situation as an error and < p뢠 ᥣ >;
;     WARN - send a warning but process the segment  (default behavior);
;     YES  - replace incorrect content of SYSTEM field by the value of
;            the first SYSTEM variable in pntchk.ctl, process the segment
;            sending a warning
;
;   ! Do not forget to change SYSTEMERRTPL accordingly
;
CHANGESYSTEM NO
; CHANGESYSTEM WARN
; CHANGESYSTEM YES
;
;   File template for errors in the <System_name> field
;
SYSTEMERRTPL systerr.tpl
; SYSTEMERRTPL systwrn.tpl
; SYSTEMERRTPL systwrn2.tpl
;
;   Up to 20 variables, defining values of <SysOp_name> field
;
SYSOP * !@
; SYSOP * ![Nn][Oo]_[Nn][Aa][Mm][Ee] !*[Ff][Uu][Cc][Kk]* !*FUCK*
;
;   CHANGESYSOP determines the reaction of PNTCHK to incorrect value
;   of SYSOP field. Mechanism is similar to CHANGESYSTEM
;
;   ! Do not forget to change SYSOPERRTPL accordingly
;
CHANGESYSOP NO
; CHANGESYSOP WARN
; CHANGESYSOP YES
;
;   File template for errors in the <SysOp_name> field
;
SYSOPERRTPL sysoperr.tpl
; SYSOPERRTPL sysopwrn.tpl
; SYSOPERRTPL sysopwr2.tpl
;
;   The variable determines wheter point strings without any flags are
;   treated as correct or not (if YES, the string must be ended with
;   "<baud_rate>,"); if ADD, one flag will be automaticaly added according
;   to default settings or value of ADDEDFLAGS
;
;   ! If NOFLAG=NO/ADD, change NOFLAGERRTPL accordingly
;
NOFLAG YES
; NOFLAG ADD
; NOFLAG NO
;
;   File template for the error of flag missing
;
NOFLAGERRTPL noflgerr.tpl
; NOFLAGERRTPL noflger2.tpl ; for NOFLAG=NO
; NOFLAGERRTPL noflgwrn.tpl ; for NOFLAG=ADD
;
;   Flags that will be added (1) when NOFLAG=ADD or (2) when all flags in
;   the point string are incorrect and REMOVEBADFLAGS=YES
;
ADDEDFLAGS V21 V22 V22B V32
;
; --------------------- Section of definition of flags -----------------------
;
;   (up to 30 variables)
;
;   special operating condition
;
flags   CM MO LO
;
;   modem capabilities supported
;
flags   V21 V22 V29 V32 V32B V33 V34 V32T VFC V42 V42B MNP
flags   H96 HST H14 H16 MAX PEP CSP ZYX
;
;   type of compression mail
;
flags   MN
;
;   types of requests supported
;
flags   XA XB XC XP XR XW XX
;
;   gateways to other domains
;
flags   G*
;
;   mail periods
;
flags   !* #*
;
;   user flags, authorized for Z2
;
flags   UZ19 UHUB
flags   UNC UZEC UREC UNEC
flags   UK12 UENC
flags   UISDNA UISDNB UISDNC
flags   UISDN UV110L UV110H UV120L UV120H UX75
;
;   working time
;
flags UT[A-X][A-X] UT[A-X][a-x] UT[a-x][A-X] UT[a-x][a-x]
;
; ----------------------------------------------------------------------------
;
;   implies for flags (30 ப ᨬ)
;
implies V42B           = V42 MNP
implies V42            = MNP
implies V32T           = V32B V32
implies V32B           = V32
implies HST            = MNP
implies H14            = HST MNP
implies H16            = H14 HST MNP V42 V42B
implies ZYX            = V32B V32 V42B V42 MNP
implies UZ19           = ZYX V32B V32 V42B V42 MNP
implies CM             = UT[A-X][A-X] UT[A-X][a-x] UT[a-x][A-X] UT[a-x][a-x]
;   ⨬  p 䫠 p
implies UT[A-X][A-X]   = UT[A-X][A-X] UT[A-X][a-x] UT[a-x][A-X] UT[a-x][a-x]
implies UT[A-X][a-x]   = UT[A-X][A-X] UT[A-X][a-x] UT[a-x][A-X] UT[a-x][a-x]
implies UT[a-x][A-X]   = UT[A-X][A-X] UT[A-X][a-x] UT[a-x][A-X] UT[a-x][a-x]
implies UT[a-x][a-x]   = UT[A-X][A-X] UT[A-X][a-x] UT[a-x][A-X] UT[a-x][a-x]
;
; -------------------- Settings for flags processing ------------------------
;
;   Should the flags be uppercased before being processed
;
UPPERCASEFLAGS NO
;
;   Unknown flag
;
FLAGERRTPL flagerr.tpl
; FLAGERRTPL flagwrn.tpl ; for REMOVEBADFLAGS=YES
;
;   Implies for flags
;
IMPLERRTPL implerr.tpl
; IMPLERRTPL implwrn.tpl ; for REMOVEBADFLAGS=YES
;
;   Duplicating flags
;
DUPFLGERRTPL dupflerr.tpl
; DUPFLGERRTPL dupflwrn.tpl ; for REMOVEBADFLAGS=YES
;
;   Should incorrect flags be deleted (value YES) instead of sending an
;   error report (value NO) when finding them.
;   As incorrect a flag will be treated in the following cases:
;       ) the flag is unknown (not defined by FLAGS variables in cfg);
;       ) the flag is present more than once in a string;
;       ) the flag is implied by one of the others flags in the string (cfg
;   variables IMPLIES)
;
;   Warning! If you define YES, do not forget to change FLAGERRTPL,
;   IMPLERRTPL and DUPFLGERRTPL to flagwrn.tpl, implwrn.tpl and dupflwrn.tpl
;   accordingly
;
REMOVEBADFLAGS NO
;
; -------- Settings of external processors of the result of checking --------
;
;   External program that will be executed after processing of segment, but
;   before sending a report and moving the segment to the MASTER directory.
;   The syntax: EXECGOOD <string of parameters sent to command processor>
;   Among the parameters of the external utility you can place:
;   %S - the name of the segment being processed (path is included),
;   %O - the name of the old segment in base (a search will be made in the
;   MASTER directory and the name of first segment that will meet the
;   definitions of of SEGMENTFORMAT will be sent to the external utility;
;   if no segment is found, the word "%O" itself will be sent).
;   To sent the combinations "%S" and "%O" themself, you should put extra
;   "%" character bofore them (%%S or %%O)
;
; EXECGOOD utility\execgood.exe %s %o report.txt ; for DOS and OS/2
; EXECGOOD pntdiff.cmd %s %o report.txt          ; OS/2 only
;
;   The same, but for an incorrect segment
;
; EXECBAD utility\execbad.exe %s %o report.txt   ; for DOS and OS/2
;
;   The path and the name of the flag that is created after receiving
;   and processing of a correct segment. The flag is created just after
;   executing of the instruction EXECGOOD
;
; TOUCHGOOD C:\MAIL\FLAGS\goodseg.flg
;
;   The same, but for an incorrect segment
;
; TOUCHBAD C:\MAIL\FLAGS\badseg.flg
;
; -- Settings for pointlist creation routine (option '-L' of command line) --
;
;   The name of pointlist to be created. If extension is omitted, the
;   day-of-year of publication date will be automatically added as
;   the extension
;
POINTLIST pnt5020
; POINTLIST pnt5020.ndl
;
;   Date of publication. Affects macros @date, @month, @year, @weekday,
;   as well as @daynumber.
;   Possible values:
;       TODAY - date of creation
;       FRIDAY - Friday publication date
;
PNTLDATE FRIDAY
; PNTLDATE TODAY
;
;   The original value of macro @pntlcrc that will be replaced by the real
;   CRC of pointlist after its calculation. Default value - 00000
;
; FAKECRCSTR 00000
;
;   File template inserted before pointlist
;
PNTLSTHEADER Lsthead.Tpl
;
;   File template inserted after pointlist
;
PNTLSTFOOTER Lstfoot.Tpl
;
;   File template inserted before each segment
;
PNTSEGHEADER Seghead.Tpl
;
;   File template inserted after each segment
;
PNTSEGFOOTER Segfoot.Tpl
;
;    The main template for errors during the pointlist compilation
;    (analog of ERRORTEMPLATE)
;
PNTLSTERRTPL Pntlst.Tpl
;
;    Maximum node number in the network (set for increasing the speed
;    of search of segments and pointlist compilation), 32767 as default
;
; MAXNUMBER 1000
;
;---------------------------------end of file---------------------------------
;
